Package groovy.lang

# Class Tuple3<T1,​T2,​T3>

java.lang.Object
java.util.AbstractCollection<E>
java.util.AbstractList<E>
groovy.lang.Tuple
groovy.lang.Tuple3<T1,​T2,​T3>

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Cloneable`, `java.lang.Comparable`, `java.lang.Iterable`, `java.util.Collection`, `java.util.List`

    public final class Tuple3<T1,​T2,​T3>
    extends Tuple

Represents a list of 3 typed Objects.

Since:
  2.5.0
See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class java.util.AbstractList

  `modCount`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Tuple3​(Tuple3<T1,​T2,​T3> tuple)` |
  `Tuple3​(T1 v1, T2 v2, T3 v3)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `Tuple3<T1,​T2,​T3>` | `clone()` |
  `T1` | `getFirst()` | Deprecated.
  `T2` | `getSecond()` | Deprecated.
  `T3` | `getThird()` | Deprecated.
  `T1` | `getV1()` |
  `T2` | `getV2()` |
  `T3` | `getV3()` |

  ### Methods inherited from class groovy.lang.Tuple

  `compareTo, equals, get, hashCode, size, subList, subTuple, toArray, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple`

  ### Methods inherited from class java.util.AbstractList

  `add, add, addAll, clear, indexOf, iterator, lastIndexOf, listIterator, listIterator, remove, removeRange, set`

  ### Methods inherited from class java.util.AbstractCollection

  `addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toString`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Collection

  `parallelStream, removeIf, stream, toArray`

  ### Methods inherited from interface java.lang.Iterable

  `forEach`

  ### Methods inherited from interface java.util.List

  `addAll, contains, containsAll, isEmpty, remove, removeAll, replaceAll, retainAll, sort, spliterator, toArray`

- ## Constructor Details

  - ### Tuple3

    public Tuple3​(T1 v1, T2 v2, T3 v3)

  - ### Tuple3

    public Tuple3​(Tuple3<T1,​T2,​T3> tuple)

- ## Method Details

  - ### getFirst

    @Deprecated public T1 getFirst()
    Deprecated.

  - ### getSecond

    @Deprecated public T2 getSecond()
    Deprecated.

  - ### getThird

    @Deprecated public T3 getThird()
    Deprecated.

  - ### getV1

    public T1 getV1()

  - ### getV2

    public T2 getV2()

  - ### getV3

    public T3 getV3()

  - ### clone

    public Tuple3<T1,​T2,​T3> clone()
    Overrides:
      `clone` in class `Tuple`